## ros-dashing-py-trees-ros 1.2.1

=== doc/Makefile ===
all:
	@echo "This makefile is for building documentation"
	@echo "in the virtual environment via '. ./venv.bash'"
	@echo ""
	@echo "Valid targets:"
	@echo ""
	@echo "    docs: build the sphinx documentation in ./html"
	@echo "    clean: clean out the html directory"

docs:
	sphinx-build -v -b html . html

clean:
	rm -rf html

.PHONY: docs clean

=== debian/changelog ===
ros-dashing-py-trees-ros (1.2.1-2bionic) bionic; urgency=high

  * [trees] bugfix KeyError on publication of missing keys, #118 <https://github.com/splintered-reality/py_trees_ros/pull/118>
  * [utilities] a ros myargv stipper, a'la ROS1 style, until something is available upstream

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 08 Oct 2019 04:00:00 -0000

ros-dashing-py-trees-ros (1.2.0-2bionic) bionic; urgency=high

  * [blackboards] sweeping changes to accomodate the new blackboards with tracking, #109 <https://github.com/splintered-reality/py_trees_ros/pull/109>
  * [backend] ensure tree modifications are published with an updated timestamp, #100 <https://github.com/splintered-reality/py_trees_ros/pull/100>
  * [behaviours] subscriber related behaviours now *require* qos_profile args, #104 <https://github.com/splintered-reality/py_trees_ros/pull/104>
  * [trees] ros parameterisation of the setup timeout, #101 <https://github.com/splintered-reality/py_trees_ros/pull/101>
  * [trees] make use of the new DisplaySnapshotVisitor, #102 <https://github.com/splintered-reality/py_trees_ros/pull/102>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 02 Oct 2019 04:00:00 -0000

ros-dashing-py-trees-ros (1.1.2-2bionic) bionic; urgency=high

  * [utilities] permit discovery of multiples with find_topics, #97 <https://github.com/splintered-reality/py_trees_ros/pull/97>

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 10 Aug 2019 04:00:00 -0000

ros-dashing-py-trees-ros (1.1.1-2bionic) bionic; urgency=high

  * [tests] add missing tests/__init.py,  #94 <https://github.com/splintered-reality/py_trees_ros/pull/94>
  * [infra] add missing ros2topic dependency,  #94 <https://github.com/splintered-reality/py_trees_ros/pull/94>

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 22 Jun 2019 04:00:00 -0000

ros-dashing-py-trees-ros (1.1.0-2bionic) bionic; urgency=high

  * [actions] bugfix action client, don't cancel if not RUNNING
  * [conversions] bugfix msg_to_behaviour for decorators
  * [watchers] bugfix tree-watchers dot-graph to string functionality
  * [watchers] bugfix missing tip in deserialised tree-watcher tree

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 19 Jun 2019 04:00:00 -0000

ros-dashing-py-trees-ros (1.0.0-2bionic) bionic; urgency=high

  Stripped down and rebuilt for ROS2:
  * [behaviours] the familiar subscriber and action client behaviours
  * [blackboard] the exchange, mostly unmodified
  * [infra] colcon build environment
  * [trees] simpler communications, just one serialised tree snapshot, watchers do the rest
  * [watchers] revamped 'blackboard' and new 'tree' watcher
  What's missing:
  * [logging] the basic mechanisms have moved to py_trees, the rosbag implementation is to come

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 28 Apr 2019 04:00:00 -0000

ros-dashing-py-trees-ros (0.5.13-2bionic) bionic; urgency=high

  * [doc] add many missing packages to satiate autodoc

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 28 May 2017 04:00:00 -0000

ros-dashing-py-trees-ros (0.5.9-2bionic) bionic; urgency=high

  * [doc] add missing rqt-py-trees image
  * [infra] bugfix missing install rule for mock sensors script

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 16 Apr 2017 04:00:00 -0000

ros-dashing-py-trees-ros (0.5.5-2bionic) bionic; urgency=high

  * [infra] missed the py_trees exec dependency, fixed.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 31 Mar 2017 04:00:00 -0000

ros-dashing-py-trees-ros (0.5.4-2bionic) bionic; urgency=high

  * [docs] faq added
  * [tutorials] 9 - bagging
  * [infra] various dependency fixes for tests and autodoc
  * [tests] fix broken subscrirber test

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 25 Mar 2017 04:00:00 -0000

ros-dashing-py-trees-ros (0.5.3-2bionic) bionic; urgency=high

  * [tutorials] 8 - dynamic loading, insertion and execution
  * [tutorials] 7 - docking, undocking, cancelling and recovery

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 21 Mar 2017 04:00:00 -0000

ros-dashing-py-trees-ros (0.5.2-2bionic) bionic; urgency=high

  * [infra] add missing actionlib dependencies

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 19 Mar 2017 04:00:00 -0000

ros-dashing-py-trees-ros (0.5.1-2bionic) bionic; urgency=high

  * [tutorials] 6 - context switching
  * [tutorials] re-insert missing images

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 19 Mar 2017 04:00:00 -0000

ros-dashing-py-trees-ros (0.5.0-2bionic) bionic; urgency=high

  * [docs] new and shiny index added
  * [tutorials] qt dashboard support
  * [tutorials] 5 - tree scanning added
  * [tutorials] 4 - tree introspection added
  * [tutorials] 3 - blackboards added
  * [tutorials] 2 - battery low branch added
  * [tutorials] 1 - data gathering added
  * [mock] a mock robot for tutorials and testing
  * [behaviours] action client, battery behaviours added
  * [infra] refactoring for kinetic

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 21 Feb 2017 05:00:00 -0000

=== debian/control ===
Source: ros-dashing-py-trees-ros
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-dashing-py-trees, ros-dashing-py-trees-ros-interfaces, ros-dashing-rcl-interfaces, ros-dashing-rclpy, ros-dashing-ros2topic, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: https://py-trees-ros.readthedocs.io/en/release-1.2.x/
Standards-Version: 3.9.2

Package: ros-dashing-py-trees-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-dashing-py-trees, ros-dashing-py-trees-ros-interfaces, ros-dashing-rcl-interfaces, ros-dashing-rclpy, ros-dashing-ros2topic, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace
Description: ROS2 extensions and behaviours for py_trees.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/dashing" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	 --install-scripts "\$$base/bin" 

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-py-trees-ros//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
